package com.xwd.hospital.server.dto;

import com.xwd.hospital.server.enums.SexTypeEnum;
import com.xwd.hospital.server.enums.UserTypeEnum;
import lombok.Data;

@Data
public class UpdateUserInfoDto {
    private String name;
    private SexTypeEnum sex;
    private String idNo;
    private String bornDate;
    private String idCardPictureFront;
    private String idCardPictureBack;
    private String headUrl;
    private Long careerId;
    private String careerName;

    private UserTypeEnum userType;

    private String expertiseArea;
    private String introduction;

    private Integer maxOrderCount;

    private Boolean defaultFlag = false;

}
