package com.xwd.hospital.server.service;

import com.xwd.hospital.server.domain.ExcelImportInfo;
import com.xwd.hospital.server.dto.ImportResultDto;
import com.xwd.hospital.server.dto.UserExcelDto;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

public interface ExcelService {

    List<UserExcelDto> exportUserInfo();

    ImportResultDto importUser(List<Map<String, Object>> allData);

    boolean importDepartments(MultipartFile multipartFile) throws Exception;

}
