/**
 * 项目：互联网医疗
 * 模型分组：服务管理
 * 模型名称：转诊记录
 * @Author: xiongwei
 * @Date: 2023-09-05 09:42:00
 */

package com.xwd.hospital.server.service;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xwd.hospital.server.base.BaseService;
import com.xwd.hospital.server.domain.ReferralRecord;
import com.xwd.hospital.server.rest.req.ReferralRecordParam;

public interface ReferralRecordService extends BaseService<ReferralRecord> {

    boolean audit(ReferralRecord entity);

    IPage<ReferralRecord> listMyRecord(Page<ReferralRecord> page, Long userInfoId);
}
