package com.xwd.hospital.server.service;

public interface SmsService {
    /**
     * 发送短信验证码
     *
     * @param phoneNumber
     * @return
     */
    String sendAuth(String phoneNumber);
    void sendPatientRemind(String phoneNumber,String orderTypeStr);
    void sendDoctorRemind(String phoneNumber,String number);
    void sendReferralRemind(String phoneNumber,String fromHospitalName,String toHospitalName);
    void sendCancelRemind(String patientName,String appointmentDate,String doctorName);
    void sendNewOrderRemind(String patientName,String orderTypeStr);
    String bindPhone(String proxyNumber,String phoneNumber);
    void unbindPhone(String proxyNumber,String mappingId);

    boolean callback(String alertingTime, String called, String recorderId, String callerArea, String beginTime,
                  String calledArea, String caller, String calledShow, String connectTime, String result,
                  String releaseTime,String account, String mappingId, String appId, String callDuration,
                  String userData, String answerTime, String smallNumberType, String calldisplay);
}
