package com.xwd.hospital.server.dto;

import com.xwd.hospital.server.enums.ReportStateEnum;
import com.xwd.hospital.server.enums.ReportTypeEnum;
import com.xwd.hospital.server.enums.SexTypeEnum;
import lombok.Data;

@Data
public class DoctorAskDto {
    private Long id;
    private String patientName;
    private String patientPhone;
    private String patientIdNo;
    private SexTypeEnum sex;
    private String reportItem;
    private ReportTypeEnum reportType;
    private ReportStateEnum reportState;
    private Integer age;
    private String reportDeclare;
    private String reportHospital;
    /**
     * 报告一声
     */
    private String reportDoctor;
    private java.util.Date reportTime;
    private String doctorAsks;
    /**
     * 医嘱医生
     */
    private String doctorName;
}
