package com.xwd.hospital.server.dto;

import cn.hutool.core.annotation.Alias;
import lombok.Data;

@Data
public class UserExcelDto {
    @Alias(value = "姓名")
    private String name;
    @Alias(value = "性别")
    private String sex;
    @Alias(value = "手机号")
    private String phone;
    @Alias(value = "身份证号")
    private String idCard;
    @Alias(value = "年龄")
    private String age;
    @Alias(value = "省")
    private String province;
    @Alias(value = "市")
    private String city;
    @Alias(value = "区")
    private String district;
    @Alias(value = "详细地址")
    private String address;

    //处方
    @Alias(value = "处方时间")
    private String prescriptionTime;
    @Alias(value = "处方医院")
    private String prescriptionHospital;
    @Alias(value = "处方科室")
    private String prescriptionDepartment;
    @Alias(value = "处方说明")
    private String prescriptionIntroduce;

    //报告
    @Alias(value = "报告项目")
    private String reportProject;
    @Alias(value = "报告描述")
    private String reportDesc;
    @Alias(value = "报告时间")
    private String reportTime;
    @Alias(value = "报告医院")
    private String reportHospital;
    @Alias(value = "报告医生")
    private String reportDoctor;
    @Alias(value = "医嘱")
    private String doctorAsk;
}
