/**
 * 项目：互联网医疗
 * @Author: xiongwei
 * @Date: 2023-09-05 09:42:00
 */

package com.xwd.hospital.server.enums;

/**
* 家庭医生状态
*/
public enum FamilyDoctorStateEnum {
    
    TO_CONFIRM("待确认"),
    REJECT("医生拒绝"),
    TO_AUDIT("待审核"),
    AUDIT_SUCCESS("审核通过"),
    AUDIT_FAIL("审核失败");

    FamilyDoctorStateEnum(String name) {
        this.name = name;
    }

    private String name;
    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }
}
