/**
 * 项目：互联网医疗
 * 模型分组：服务管理
 * 模型名称：医生工作时间配置表
 * @Author: xiongwei
 * @Date: 2023-09-05 09:42:00
 */

package com.xwd.hospital.server.service;

import java.util.List;
import java.util.Map;

import com.xwd.hospital.server.base.BaseService;
import com.xwd.hospital.server.domain.DoctorTimeConfig;
import com.xwd.hospital.server.dto.DoctorTimeConfigDto;
import com.xwd.hospital.server.rest.req.DoctorTimeConfigParam;

public interface DoctorTimeConfigService extends BaseService<DoctorTimeConfig> {

    Map listDoctorTime(Long doctorId);

    void changeStatus(List<DoctorTimeConfigDto> list);
}
