package com.xwd.hospital.server.service;

import com.google.gson.JsonObject;
import com.xwd.hospital.server.rest.thirdPartReq.BindIMUserReq;
import com.xwd.hospital.server.rest.thirdPartReq.UpdateIMUserReq;
import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.POST;
import retrofit2.http.Query;

public interface MapApiService {

    /**
     * 地图解析地址
     * @return
     */
    @POST("/v3/geocode/geo")
    Call<JsonObject> geo(@Query("key") String key,
                                       @Query("address") String address);


}
